package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAelophyOrderDesensitizephoneGetRequest struct {
	/*
	   请求     */
	OrderDesensitizePhoneRequest *domain.AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneRequest `json:"order_desensitize_phone_request" required:"true" `
}

func (s *AlibabaAelophyOrderDesensitizephoneGetRequest) SetOrderDesensitizePhoneRequest(v domain.AlibabaAelophyOrderDesensitizephoneGetOrderDesensitizePhoneRequest) *AlibabaAelophyOrderDesensitizephoneGetRequest {
	s.OrderDesensitizePhoneRequest = &v
	return s
}

func (req *AlibabaAelophyOrderDesensitizephoneGetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderDesensitizePhoneRequest != nil {
		paramMap["order_desensitize_phone_request"] = util.ConvertStruct(*req.OrderDesensitizePhoneRequest)
	}
	return paramMap
}

func (req *AlibabaAelophyOrderDesensitizephoneGetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
